hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thejas M Nair (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-9514) schematool is broken in hive 1.0.0
Date Thu, 29 Jan 2015 22:36:34 GMT

    [ https://issues.apache.org/jira/browse/HIVE-9514?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14297827#comment-14297827
] 

Thejas M Nair commented on HIVE-9514:
-------------------------------------

I ran all metastore tool unit tests for this and they pass. Also manually verified schema
initialization and upgrade with derby. Also ran queries with "hive.metastore.schema.verification=true"



> schematool is broken in hive 1.0.0
> ----------------------------------
>
>                 Key: HIVE-9514
>                 URL: https://issues.apache.org/jira/browse/HIVE-9514
>             Project: Hive
>          Issue Type: Bug
>          Components: Metastore
>            Reporter: Thejas M Nair
>            Assignee: Thejas M Nair
>             Fix For: 1.0.0
>
>         Attachments: HIVE-9514.1.patch
>
>
> Schematool gives following error - 
> {code}
> bin/schematool -dbType derby -initSchema
> Starting metastore schema initialization to 1.0
> org.apache.hadoop.hive.metastore.HiveMetaException: Unknown version specified for initialization:
1.0
> {code}
> Metastore schema hasn't changed from 0.14.0 to 1.0.0. So there is no need for new .sql
files for 1.0.0. However, schematool needs to be made aware of the metastore schema equivalence.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message